Bug 1420945 - [RFE] hide private usage of LVM from users of LVM tools
Summary: [RFE] hide private usage of LVM from users of LVM tools
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: LVM and device-mapper
Classification: Community
Component: lvm2
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Fedora
: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: stratis-lvm-reqs
TreeView+ depends on / blocked
 
Reported: 2017-02-09 23:12 UTC by Andy Grover
Modified: 2019-10-28 16:00 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-28 16:00:16 UTC
rule-engine: lvm-technical-solution?
rule-engine: lvm-test-coverage?


Attachments (Terms of Use)

Description Andy Grover 2017-02-09 23:12:36 UTC
When Stratis adopts LVM, it would be desirable that Stratis-internal LVM PVs, VGs, LVs etc. do not show up or interfere with the user's independent usage of LVM.

Comment 1 Zdenek Kabelac 2017-02-10 15:22:21 UTC
This request would need wider justification.

There is obvious solution with filtering  (so system's LVM doesn't see disks maintained by 'Stratis' tool  and Stratis tool is not seeing non-startis devices).

But I'm not sure why 'cutting-off' main 'feature' ?

IMHO it's very similar to the request request to make 'dd' tool not seeing  Stratis  devices.. (or  udev, or systemd, or ....)

Comment 2 Mike Snitzer 2017-02-10 19:58:02 UTC
(In reply to Zdenek Kabelac from comment #1)

> IMHO it's very similar to the request request to make 'dd' tool not seeing 
> Stratis  devices.. (or  udev, or systemd, or ....)

No it isn't.  I think you're misunderstanding the request.

comment#0 starts with: "When Stratis adopts LVM".  Meaning stratis is using LVM to manage the storage on the system.

Seem the request is to be able to somehow selectively hide storage.  stratis's lvm commands would still need to see the storage.  But non-stratis LVM users on the same machine wouldn't be able to see that storage.

Not quite sure _why_ we have such little faith in the admins to not be idiots but that is at the heart of this request: save users from themselves.

Comment 3 Fedora End Of Life 2017-02-28 11:14:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Andy Grover 2017-11-14 20:14:39 UTC
If I were an admin, I might assume that since the volumes comprising my Stratis pool showed up in LVM tools, then I may use LVM tools to administer them if I want. If this wasn't true, then of course they wouldn't show up, right? :) So we need to make them not show up.

I think this is a basic requirement if LVM is to be used for an "embedded" use case.

Comment 5 Fedora End Of Life 2018-05-03 08:03:22 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.